UPCLIENT(8)

NAME
upclient - Initializes the client portion of the Update Server

SYNOPSIS
B<upclient> <I<hostname>> [-crypt] [-clear] [B<-t> <I<retry time>>]
    [-verbose]* <dir>+ [-help]

DESCRIPTION
The upclient command initializes the client portion of the Update Server. In the conventional configuration, its binary file is located in the /usr/local/libexec/openafs directory on a file server machine.

The upclient command is not normally issued at the command shell prompt but rather placed into a file server machine's /usr/local/etc/openafs/BosConfig file with the bos create command. If it is ever issued at the command shell prompt, the issuer must be logged onto a database server machine as the local superuser "root".

The upclient process periodically checks that all files in each local directory named by the dir argument match the files in the corresponding directory on the source machine named by the hostname argument. If a file does not match, the upclient process requests the source copy from the upserver process running on the source machine.

By default, the upclient process requests that the upserver process encrypt the data before transferring it. Use the -clear flag to request unencrypted transfer if appropriate. (The -crypt flag explicitly sets the default.)

In the conventional configuration, separate instances of the upclient process request data from the /usr/local/libexec/openafs and /usr/local/etc/openafs/server directories, except on machines for which the system control machine is also the binary distribution machine for the machine's system type. The conventional names for the separate instances are "upclientbin" and "upclientetc" respectively.

The upclient and upserver processes always mutually authenticate, whether or not the data they pass is encrypted; they use the key with the highest key version number in the /usr/local/etc/openafs/server/KeyFile file to construct a server ticket for mutual authentication.

This command does not use the syntax conventions of the AFS command suites. Provide the command name and all option names in full.

CAUTIONS
Do not use the Update Server to distribute the contents of the /usr/local/etc/openafs/server directory using the -clear option. The contents of this directory are sensitive.

OPTIONS

<hostname>
    Names either the cell's system control machine (if the requested directory is /usr/local/etc/openafs/server), or the binary distribution machine for the local machine's CPU and operating system type (if the requested directory is /usr/local/libexec/openafs).

-crypt
    Requests the transfer of data from the upserver process in encrypted form. This is the default; this flag just sets the default explicitly. Do not use this flag with the -clear flag.

-clear
    Requests transfer of data from the upserver process in unencrypted form. Provide this flag or the -crypt flag, but not both.

-t <retry time>
    Specifies how often to check for changes in each specified directory, as a number of seconds. If this argument is omitted, the default is 300 (5 minutes). This argument determines the maximum amount of time it takes for a change made on the source machine to propagate to this machine.

-verbose*
    Writes a trace of the upclient process's operations on the standard output stream, which usually corresponds to the machine console. Provide one, two, or three instances of the flag; each additional instance generates increasingly numerous and detailed messages.

<dir>+
    Names each directory to check for modified files. The conventional choices are the following:

    •   /usr/local/libexec/openafs, in which case the recommended name for the process (assigned with the -instance argument to the bos create command) is "upclientbin". The hostname is the binary distribution machine for the local machine's system type. You may wish to use the -clear flag for the /usr/local/libexec/openafs directory, since binaries are not particularly sensitive and encrypting them takes system resources.

    •   /usr/local/etc/openafs/server, in which case the recommended name for the process (assigned with the -instance argument to the bos create command) is "upclientetc". The hostname is the cell's system control machine. Use the -crypt flag for the /usr/local/etc/openafs/server directory, since it contains the KeyFile file and other data vital to cell security.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following bos create command creates an "upclientbin" process on the machine "fs4.abc.com" that refers to the machine "fs1.abc.com" as the source for the /usr/local/libexec/openafs directory (thus "fs1.abc.com" is the binary distribution machine for machines of "fs4.abc.com"'s type). The files in the /usr/local/libexec/openafs directory are distributed every 120 seconds. The command requests transfer in unencrypted form.

   % bos create  -server fs4.abc.com -instance upclientbin -type simple \
                 -cmd "/usr/local/libexec/openafs/upclient fs1.abc.com -clear \
                 -t 120 /usr/local/libexec/openafs"

PRIVILEGE REQUIRED
The issuer must be logged in as the superuser "root" on a file server machine to issue the command at a command shell prompt. It is conventional instead to create and start the process by issuing the bos create command.

SEE ALSO
BosConfig(5), bos_create(8), upserver(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.